Bug 1525609 - nagios-plugins-dns: check_dns --querytype=AAAA doesn't work
Summary: nagios-plugins-dns: check_dns --querytype=AAAA doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-13 17:03 UTC by Russell Odom
Modified: 2019-09-14 16:31 UTC (History)
7 users (show)

Fixed In Version: nagios-plugins-2.2.1-15.20180725git3429dad.el7 nagios-plugins-2.2.1-15.20180725git3429dad.el6 nagios-plugins-2.2.1-17.20190829gitfb792ff.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:07:38 UTC


Attachments (Terms of Use)

Description Russell Odom 2017-12-13 17:03:20 UTC
Description of problem:
check_dns plugin does not correctly handle --querytype=AAAA

Version-Release number of selected component (if applicable):
nagios-plugins-dns-2.2.1-9.fc27.x86_64

How reproducible:
Every time

Steps to Reproduce:
/usr/lib64/nagios/plugins/check_dns -v --hostname=ipv6-test.com --expected-address=2001:41d0:8:e8ad::1 --querytype=AAAA

Actual results:
--------------
/usr/bin/nslookup -sil -querytype=AAAA ipv6-test.com 
Server:		2a02:8010:60ad:fade:1e87:2cff:fe5d:ef16
Address:	2a02:8010:60ad:fade:1e87:2cff:fe5d:ef16#53

Non-authoritative answer:
Name:	ipv6-test.com
Address: 2001:41d0:8:e8ad::1
Found A record

Failed query for -querytype=AAAA only found -querytype=A , or nothing
DNS CRITICAL - query type of -querytype=AAAA was not found for ipv6-test.com
--------------


Expected results:
Successful check

Additional info:
It appears to be interpreting the ipv6 address as an ipv4 one.

Comment 1 R P Herrold 2017-12-13 17:31:24 UTC
I looked at an earlier report about this, and the order of arguments in the testing rule returned differing results.  I will dig through my notes

Comment 2 Russell Odom 2017-12-15 19:20:44 UTC
Hmmm, that's vaguely familiar from some years ago. I can't replicate it at the moment though - I get the same result regardless of argument ordering.

Comment 3 Stephen John Smoogen 2018-07-24 23:48:27 UTC
So the release I was expecting still has not happened so I am updating the tree to the latest maintenance branch.

Comment 4 Fedora Update System 2018-07-25 21:35:19 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 5 Fedora Update System 2018-07-25 22:24:12 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 6 Fedora Update System 2018-07-25 22:24:55 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 7 Fedora Update System 2018-07-26 12:19:41 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 8 Fedora Update System 2018-07-26 14:51:42 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 9 Fedora Update System 2018-07-26 16:28:46 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 10 Russell Odom 2018-07-26 16:39:04 UTC
Any chance of an f27 version?

Comment 11 Russell Odom 2018-10-07 17:41:10 UTC
This seems to be fixed upstream by https://github.com/nagios-plugins/nagios-plugins/pull/398 (not yet merged).

Comment 12 Stephen John Smoogen 2018-10-23 15:31:04 UTC
At the moment, I will wait for upstream to merge the plugin. The last out-out-band patches I put in leaked horribly in 'fixing' things

Comment 13 Fedora Update System 2018-10-23 18:56:46 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 14 Fedora Update System 2018-10-25 21:17:17 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 15 Russell Odom 2018-10-27 18:29:09 UTC
Thanks for the F27 update. Just to confirm, this update (as expected, since the fix isn't merged upstream) does not fix the problem.

Comment 16 Ben Cotton 2018-11-27 13:53:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2018-12-13 19:31:32 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-732d31ad86

Comment 18 Fedora Update System 2018-12-30 03:11:49 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Russell Odom 2018-12-30 13:00:47 UTC
Reopened - not fixed on F29.

Comment 20 Fedora Update System 2019-03-12 13:41:32 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 21 Fedora Update System 2019-03-12 23:01:53 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 22 Fedora Update System 2019-04-06 20:22:56 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Russell Odom 2019-04-07 09:47:46 UTC
Reopening, looks like the automation closed it in error.

Comment 24 Stephen John Smoogen 2019-08-29 20:16:48 UTC
I am updating this in F31 which will go into beta. It is still not clear if upstream has fixed the problem or not.

Comment 25 Russell Odom 2019-08-29 21:08:35 UTC
The fix I mentioned in comment 11 has now been merged upstream.

Comment 26 Fedora Update System 2019-08-29 22:17:24 UTC
FEDORA-2019-b7dcd3e71b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7dcd3e71b

Comment 27 Fedora Update System 2019-08-30 12:19:04 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7dcd3e71b

Comment 28 Russell Odom 2019-08-30 19:33:33 UTC
Is there any chance of an f29 version too?

Comment 29 Stephen John Smoogen 2019-08-30 20:33:20 UTC
I did not want to do F29 since it is 2 months til EOL and I have only have so many hours to try and track down specific problems. I have EL6, EL7, EL8, F31 and F32 to try and 'fix' as best I can. That said, I will see if it builds cleanly this weekend and give you a scratch build to test. That way I don't put something in F29 testing which ends up breaking people.

Comment 30 Stephen John Smoogen 2019-08-30 20:44:51 UTC
I have started https://koji.fedoraproject.org/koji/taskinfo?taskID=37365240 which is a scratch build of the same packages. It seemed to compile fine.. but I have no way to test. Please let me know how it works and we can move forward.

Comment 31 Russell Odom 2019-08-30 20:57:59 UTC
Thanks! I will test this weekend and report back.

Comment 32 Russell Odom 2019-08-31 14:41:23 UTC
I've installed:
nagios-plugins-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-disk-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-dns-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-http-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-ide_smart-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-ifstatus-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-load-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-log-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-mailq-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-ntp-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-perl-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-ping-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-procs-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-sensors-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-smtp-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-ssh-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-swap-2.2.1-17.20190829gitfb792ff.fc29.x86_64
nagios-plugins-tcp-2.2.1-17.20190829gitfb792ff.fc29.x86_64

This bug is fixed and all of the other packages still work for my existing Nagios checks, without apparent problems.

Comment 33 Fedora Update System 2019-09-14 00:07:38 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2019-09-14 16:31:39 UTC
nagios-plugins-2.2.1-17.20190829gitfb792ff.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.